KDE 4.9 PyKDE API Reference

- KDE's Python API

# MessageThreaderProxyModel Class Reference

`from PyKDE4.akonadi import *`

Inherits: QAbstractProxyModel → QAbstractItemModel → QObject
Namespace: Akonadi

## Detailed Description

Proxy to thread message using the Mailthreader agent

Deprecated:
  This model is not used for threading and will not work. Use the messagelist component in the kdepim module instead.

## Methods

| __init__ (self, QObject parent=0)
int | columnCount (self, QModelIndex index)
QModelIndex | createIndex (self, int row, int column, long internalId)
bool | hasChildren (self, QModelIndex index)
QModelIndex | index (self, int row, int column, QModelIndex parent)
QModelIndex | mapFromSource (self, QModelIndex index)
QModelIndex | mapToSource (self, QModelIndex index)
QMimeData | mimeData (self, [QModelIndex] indexes)
QStringList | mimeTypes (self)
QModelIndex | parent (self, QModelIndex index)
int | rowCount (self, QModelIndex index)
| setSourceModel (self, QAbstractItemModel sourceMessageModel)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Create a new MessageThreaderProxyModel

Parameters:

  | parent | The parent object

int columnCount | ( | self, |
|  | QModelIndex | index
| ) |  |  |

Reimplemented

QModelIndex createIndex | ( | self, |
|  | int | row,
|  | int | column,
|  | long | internalId
| ) |  |  |

Reimplemented

bool hasChildren | ( | self, |
|  | QModelIndex | index
| ) |  |  |

Reimplemented

QModelIndex index | ( | self, |
|  | int | row,
|  | int | column,
|  | QModelIndex | parent
| ) |  |  |

Reimplemented

QModelIndex mapFromSource | ( | self, |
|  | QModelIndex | index
| ) |  |  |

Reimplemented

QModelIndex mapToSource | ( | self, |
|  | QModelIndex | index
| ) |  |  |

Reimplemented

QMimeData mimeData | ( | self, |
|  | [QModelIndex] | indexes
| ) |  |  |

Reimplemented

QStringList mimeTypes | ( |  | self ) |

Reimplemented

QModelIndex parent | ( | self, |
|  | QModelIndex | index
| ) |  |  |

Reimplemented to actually do the threading.

int rowCount | ( | self, |
|  | QModelIndex | index
| ) |  |  |

Reimplemented

setSourceModel | ( | self, |
|  | QAbstractItemModel | sourceMessageModel
| ) |  |  |

Set the source model.

Parameters:

  | sourceMessageModel | the source model. Be careful, sourceMessageModel has to be a MessageModel.